MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030718Open CASCADE[OCCT] OCCT:Foundation Classespublic2019-05-17 16:032019-06-01 13:59
Reporterkgv 
Assigned Tobugmaster 
PriorityurgentSeverityblock 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version32 bit
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030718: Foundation Classes, TColStd_PackedMapOfInteger - broken triangulation within 32-bit builds
DescriptionThere is a mesh generation issue specific to 32-bit builds (it is not necessary a mesher bug, just where it reveals).

This is a REGRESSION since 0030550.
Steps To Reproduce
pload XDE VISUALIZATION MODELING
testreadstep [locate_data_file trj7_as1-id-214.stp] s
vclear
vinit View1
vdisplay -dispMode 1 s
vfit
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon tris_KO.png (10,887 bytes) 2019-05-17 16:03
png file icon tris_OK.png (9,458 bytes) 2019-05-17 16:03

- Relationships
child of 0030550verifiedbugmaster Community Coding - Integer overflow in Standard_CString HashCodes 

-  Notes
(0084476)
git (administrator)
2019-05-20 11:47

Branch CR30718_debug has been created by kgv.

SHA-1: 242306fb7a426a4c5d113bfb39590ca3b3c74b60


Detailed log of new commits:

Author: kgv
Date: Mon May 20 11:39:48 2019 +0300

    0030718: Mesh - broken triangulation within 32-bit builds
    
    NCollection maps - throw exception on invalid range returned by HashCode().
(0084477)
git (administrator)
2019-05-20 11:47

Branch CR30718_debug has been updated by kgv.

SHA-1: e2566d288c5be808d06499917b7291bee81c3f07


Detailed log of new commits:

Author: kgv
Date: Mon May 20 11:40:37 2019 +0300

    TColStd_PackedMapOfInteger - revert HashCode modification.

(0084491)
git (administrator)
2019-05-20 17:17

Branch CR30718 has been created by tizmaylo.

SHA-1: 3903d0461b15026d81f4a02710135f7d9bf435e8


Detailed log of new commits:

Author: tiv
Date: Mon May 20 17:16:12 2019 +0300

    0030718: Mesh - broken triangulation within 32-bit builds
    
    The problem caused by the changing of HashCode() method of TColStd_PackedMapOfInteger::TColStd_intMapNode class done as a part of 30550 changes is solved.
(0084492)
git (administrator)
2019-05-20 20:09

Branch CR30718 has been updated forcibly by tizmaylo.

SHA-1: ea37dcd929819ba06f2bccf441e67df7c67b28e6
(0084495)
git (administrator)
2019-05-21 10:50

Branch CR30718 has been updated forcibly by tizmaylo.

SHA-1: ba9e8b07b555a9f23b01893d9e6b407740424da7
(0084497)
git (administrator)
2019-05-21 10:51

Branch CR30718 has been updated forcibly by tizmaylo.

SHA-1: 410a0b37b2cc730daff3c547996fa1b453a509e7
(0084503)
tizmaylo (developer)
2019-05-21 12:30

Patch is ready for review: http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30718-master-TIV/view/ALL/ [^]
(0084505)
kgv (developer)
2019-05-21 13:51

 private:
   unsigned int      myMask;
   unsigned int      myData;
+
+  //! Returns the key of this map node with the mask applied to it
+  //! @return the key of this map node with the mask applied to it
+  unsigned int maskedKey() const
+  {
+    return ::maskedKey (myMask);
+  }

Methods should not be mixed with class fields.

+  //! Returns the key of this map node with the mask applied to it
+  //! @return the key of this map node with the mask applied to it
+  unsigned int maskedKey() const

Duplicating description is not helpful.
(0084507)
msv (developer)
2019-05-21 15:14

Reviewed.
(0084510)
git (administrator)
2019-05-21 16:19

Branch CR30718 has been updated by tizmaylo.

SHA-1: aa486f2588c2c20f490fa213c36328482e9e43bb


Detailed log of new commits:

Author: tiv
Date: Tue May 21 14:55:38 2019 +0300

    # Reviewer's remarks on coding style are taken into account.

(0084511)
git (administrator)
2019-05-21 16:19

Branch CR30718_1 has been created by tizmaylo.

SHA-1: 94f3c23524167aec03398daceaad4b6814c63260


Detailed log of new commits:

Author: tiv
Date: Tue May 21 16:18:48 2019 +0300

    0030718: Mesh - broken triangulation within 32-bit builds
    
    The problem caused by the changing of HashCode() method of TColStd_PackedMapOfInteger::TColStd_intMapNode class done as a part of 30550 changes is solved.
(0084513)
tizmaylo (developer)
2019-05-21 16:22

Dear bugmaster,

please, test branch CR30718_1 on some of 32-bit configurations (e.g. on Windows 32-bit).
(0084522)
bugmaster (administrator)
2019-05-21 19:13

Combination -
OCCT branch : CR30718
master SHA - 410a0b37b2cc730daff3c547996fa1b453a509e7
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 986f3b05d4ac9538c920d339cc6c45c66f97af3b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16329.710000000065 / 16353.149999999998 [-0.14%]
Products
Total CPU difference: 10523.690000000062 / 10547.03000000006 [-0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 17750.546875 / 17737.640625 [+0.07%]
Products
Total CPU difference: 12112.921875 / 12094.59375 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084629)
git (administrator)
2019-05-26 10:48

Branch CR30718_1 has been deleted by inv.

SHA-1: 94f3c23524167aec03398daceaad4b6814c63260
(0084630)
git (administrator)
2019-05-26 10:48

Branch CR30718 has been deleted by inv.

SHA-1: aa486f2588c2c20f490fa213c36328482e9e43bb
(0084756)
git (administrator)
2019-06-01 13:59

Branch CR30718_debug has been deleted by inv.

SHA-1: e2566d288c5be808d06499917b7291bee81c3f07

- Related Changesets
occt: master 547fcc76
Timestamp: 2019-05-21 13:18:48
Author: tiv
Committer: bugmaster
Details ] Diff ]
0030718: Mesh - broken triangulation within 32-bit builds

The problem caused by the changing of HashCode() method of TColStd_PackedMapOfInteger::TColStd_intMapNode class done as a part of 30550 changes is solved.
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-17 16:03 kgv New Issue
2019-05-17 16:03 kgv Assigned To => oan
2019-05-17 16:03 kgv File Added: tris_KO.png
2019-05-17 16:03 kgv File Added: tris_OK.png
2019-05-17 16:24 kgv Relationship added child of 0030550
2019-05-17 16:24 kgv Assigned To oan => tizmaylo
2019-05-17 16:24 kgv Priority normal => urgent
2019-05-17 16:24 kgv Status new => assigned
2019-05-17 16:24 kgv Description Updated View Revisions
2019-05-20 11:47 git Note Added: 0084476
2019-05-20 11:47 git Note Added: 0084477
2019-05-20 17:17 git Note Added: 0084491
2019-05-20 20:09 git Note Added: 0084492
2019-05-21 10:50 git Note Added: 0084495
2019-05-21 10:51 git Note Added: 0084497
2019-05-21 12:30 tizmaylo Note Added: 0084503
2019-05-21 12:31 tizmaylo Assigned To tizmaylo => kgv
2019-05-21 12:31 tizmaylo Status assigned => resolved
2019-05-21 13:51 kgv Note Added: 0084505
2019-05-21 13:51 kgv Assigned To kgv => msv
2019-05-21 14:00 kgv Category OCCT:Mesh => OCCT:Foundation Classes
2019-05-21 14:00 kgv Summary Mesh - broken triangulation within 32-bit builds => Foundation Classes, TColStd_PackedMapOfInteger - broken triangulation within 32-bit builds
2019-05-21 15:14 msv Note Added: 0084507
2019-05-21 15:14 msv Assigned To msv => bugmaster
2019-05-21 15:14 msv Status resolved => reviewed
2019-05-21 16:19 git Note Added: 0084510
2019-05-21 16:19 git Note Added: 0084511
2019-05-21 16:22 tizmaylo Note Added: 0084513
2019-05-21 19:10 bugmaster Test case number => Not required
2019-05-21 19:13 bugmaster Note Added: 0084522
2019-05-21 19:13 bugmaster Status reviewed => tested
2019-05-25 19:58 bugmaster Changeset attached => occt master 547fcc76
2019-05-25 19:58 bugmaster Status tested => verified
2019-05-25 19:58 bugmaster Resolution open => fixed
2019-05-26 10:48 git Note Added: 0084629
2019-05-26 10:48 git Note Added: 0084630
2019-06-01 13:59 git Note Added: 0084756


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker